--  File:     DUR_POST_VERIFY.SQL
--            Microsoft TPC-H Benchmark Kit Ver. 2.14.0-1010
--            Copyright Microsoft, 2010, 2011
--
--	Insert your values in the "between" clause below
--

--
--	These selects should result in Zero rows found
--

-- Durability Stream 1
use tpch1gcci
go

select	*
from	acid_values
where	seq_num between 11 and 169 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )


-- Durability Stream 2
select	*
from	acid_values
where	seq_num between 311 and 473 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )


-- Durability Stream 3
select	*
from	acid_values
where	seq_num between 611 and 765 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )



-- Durability Stream 4
select	*
from	acid_values
where	seq_num between 911 and 1045 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )



-- Durability Stream 5
select	*
from	acid_values
where	seq_num between 1211 and 1346 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )



-- Durability Stream 6
select	*
from	acid_values
where	seq_num between 1511 and 1650 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )


-- Durability Stream 7
select	*
from	acid_values
where	seq_num between 1811 and 1918 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )


-- Durability Stream 8
select	*
from	acid_values
where	seq_num between 2111 and 2213 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )


-- Durability Stream 9
select	*
from	acid_values
where	seq_num between 2411 and 2523 and
	not exists (	select	*
			from	HISTORY_DUR
			where	H_O_KEY = acid_o_key and
				H_L_KEY = acid_l_key and
				H_DELTA = acid_delta
		    )

